Bug 1573413 - [RFE] Allow selecting disk allocation policy when creating a template from a VM
Summary: [RFE] Allow selecting disk allocation policy when creating a template from a VM
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Eyal Shenitzky
QA Contact: Avihai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 07:01 UTC by Eyal Shenitzky
Modified: 2020-04-01 14:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 14:47:07 UTC
oVirt Team: Storage
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Eyal Shenitzky 2018-05-01 07:01:19 UTC
Description of problem:

When creating a VM template in the UI there is no way select the template disks allocation policy.
Currently, the template disks will be created with the following rules:

QCow -> SPARSE
RAW + File -> SPARSE
RAW + Block -> PREALLOCATED

If the UI will supply this behavior the user will be able to select the specific template disks configuration.

Version-Release number of selected component (if applicable):
master-4.3.0 from commit 56af10f17ad1ed06611c99abec486fe03e91dd3e

How reproducible:
100%

Steps to Reproduce:
1. Create a VM with disks
2. Create a template from the VM using the UI

Actual results:
There is no way to select the disks allocation policy

Expected results:
The engine should supply a way to select the disk allocation policy

Additional info:

Comment 2 Laura Wright 2019-05-30 12:57:59 UTC
Do you guys need any UX help with this issue?

Comment 3 Michal Skrivanek 2020-03-18 15:46:06 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 4 Michal Skrivanek 2020-03-18 15:50:58 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 5 Michal Skrivanek 2020-04-01 14:47:07 UTC
ok, closing. Please reopen if still relevant/you want to work on it.

Comment 6 Michal Skrivanek 2020-04-01 14:50:49 UTC
ok, closing. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.